/*
 * Copyright 2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * The JUnit-4.x integration - including the runner-class
 * {@link org.callbackparams.junit4.CallbackParamsRunner} and the annotation
 * {@link org.callbackparams.junit4.WrappedRunner @WrappedRunner}, which
 * together constitute the
 * primarilly recommended means for developing "CallbackParams" tests
 * - regardless of whether the test-developer uses the API of
 * JUnit-4.x or JUnit-3.x.
 * <br/><br/>
 * {@link org.callbackparams.junit4.CallbackParamsRunner} (and
 * {@link org.callbackparams.junit4.WrappedRunner @WrappedRunner}) have
 * been tested for JUnit version 4.4 and later but we believe they will work
 * fine for any 4.x version.
 * <br/>
 * Another - more experimental - resource in this package is
 * {@link org.callbackparams.junit4.EnumRunner}, which demands
 * JUnit version 4.5 or later.
 *
 * @see org.callbackparams.junit4.CallbackParamsRunner
 * CallbackParamsRunner - the recommended way to use
 * "CallbackParams"
 */
package org.callbackparams.junit4;
